Subject: Bug (ID VX23K): Pine spawns a new process for each S)ave

From: Penio Penev <[email-masked]>
Date: Fri, 21 Apr 1995 19:29:50 GMT

I am trying to convert a local Unix mailbox to a CYRUS IMAP one. I opened
it with pine, ;)selected a)ll messages, and a)pplied s)ave to the IMAP
folder. Instead of pine quickly zipping through them (257 meaasges in lees
than 0.7M), I'm sitting for more than ten minutes, my disk is spinning
from time to time, and the machine is doing basically nothing. 

I inspected what is happening and saw, that the processes, that run are
mostly rsh and rshd. This is the mechanism for pre-authenticated logging,
which is not enabled for this server. /It is a different story, that a
search for 'authenticate' in the pine documentation does not produce a hit
to tell me how to force authentication./ So pine tries to invoke rimapd,
fails, connects to port 143, authenticates, saves a message, and exits.
And repeats this 257 times. Serially. It took about 25 minutes. 
Everything is on the local mashine -- no network, no NFS, nothing. To copy
0.7M? 

--
Penio Penev <[email-masked]> 1-212-327-7423

========== struct pine * ==========
ui:	login = penev, full = Penio Penev
	home = /home/penev
home_dir=	/home/penev
hostname=	pisa
localdom=	pisa
userdom=	pisa.rockefeller.edu
maildom=	pisa.rockefeller.edu
cur_cntxt=	[]
cur_fldr=	INBOX
actual mbox=	{pisa}user.penev
msgmap: tot=0, cur=0, del=0, hid=0, exld=0, slct=0, sort=OrderedSubj
inbox is mail_stream
term type=iris-ansi, ttyname=/dev/ttyq5, size=40x80, speed=normal
======= Current_val options set =======
        personal-name : Penio Penev
              user-id : penev
          user-domain : pisa.rockefeller.edu
          smtp-server : pisa.rockefeller.edu
          nntp-server : rockyd.rockefeller.edu
           inbox-path : {pisa}user.penev
     incoming-folders : RFE M/RFE
                      : Inbox M/INBOX
                      : Diag M/Diag
                      : ListDiag /usr/people/list/.etc/request
                      : Lists M/Lists
                      : returned M/returned
                      : AUBG M/AUBG
                      : Connectionists M/nnet
                      : ANSForth M/ANSForth
                      : SmartList M/SmartList
                      : HPC M/HPC
                      : HPCNews M/news
                      : InterNIC M/internic
                      : reinforce M/reinforce
                      : PFE M/PFE
                      : WINE M/WINE
                      : RemotePrinting M/tpc-rp
                      : s.c.b *{pisa:11900/nntp}soc.culture.bulgaria
   folder-collections : {pisa}user.penev.[]
                      : Mail {pisa.rockefeller.edu}Mail/[]
                      : News saves {pisa.rockefeller.edu}News/[]
                      : Bulgaria htdocs/Bulgaria/Articles/[]
                      : {pisa/143}[]
                      : home ~/[]
                      : {cyrus.andrew.cmu.edu/anonymous}archive.[]
     news-collections : News *{rockyd/nntp}[]
                      : News from pisa *{pisa:11900/nntp}[]
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
  read-message-folder : received
       signature-file : .pinesig
         address-book : .addressbook
         feature-list : news-read-in-newsrc-order
                      : quit-without-confirm
                      : show-selected-in-boldface
                      : signature-at-bottom
                      : compose-sets-newsgroup-without-confirm
                      : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-bounce-cmd
                      : enable-full-header-cmd
                      : enable-mail-check-cue
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : save-will-advance
                      : auto-move-read-msgs
                      : expunge-without-confirm
                      : news-post-without-validation
                      : enable-alternate-editor-cmd
                      : enable-incoming-folders
                      : include-attachments-in-reply
      customized-hdrs : Reply-To:
                      : Return-Receipt-To:
  saved-msg-name-rule : by-sender
        fcc-name-rule : by-recipient
             sort-key : OrderedSubj
   addrbook-sort-rule : fullname-with-lists-last
               editor : xemacs -nw
 use-only-domain-name : no
              printer : lp
 personal-print-comma : lp
     standard-printer : lpr
 last-time-prune-ques : 95.4
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/home/penev/.pinerc) =======
          user-domain : pisa.rockefeller.edu
          smtp-server : pisa.rockefeller.edu
          nntp-server : rockyd.rockefeller.edu
           inbox-path : {pisa}user.penev
     incoming-folders : RFE M/RFE
                      : Inbox M/INBOX
                      : Diag M/Diag
                      : ListDiag /usr/people/list/.etc/request
                      : Lists M/Lists
                      : returned M/returned
                      : AUBG M/AUBG
                      : Connectionists M/nnet
                      : ANSForth M/ANSForth
                      : SmartList M/SmartList
                      : HPC M/HPC
                      : HPCNews M/news
                      : InterNIC M/internic
                      : reinforce M/reinforce
                      : PFE M/PFE
                      : WINE M/WINE
                      : RemotePrinting M/tpc-rp
                      : s.c.b *{pisa:11900/nntp}soc.culture.bulgaria
   folder-collections : {pisa}user.penev.[]
                      : Mail {pisa.rockefeller.edu}Mail/[]
                      : News saves {pisa.rockefeller.edu}News/[]
                      : Bulgaria htdocs/Bulgaria/Articles/[]
                      : {pisa/143}[]
                      : home ~/[]
                      : {cyrus.andrew.cmu.edu/anonymous}archive.[]
     news-collections : News *{rockyd/nntp}[]
                      : News from pisa *{pisa:11900/nntp}[]
  read-message-folder : received
       signature-file : .pinesig
         feature-list : news-read-in-newsrc-order
                      : quit-without-confirm
                      : show-selected-in-boldface
                      : signature-at-bottom
                      : compose-sets-newsgroup-without-confirm
                      : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-bounce-cmd
                      : enable-full-header-cmd
                      : enable-mail-check-cue
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : save-will-advance
                      : auto-move-read-msgs
                      : expunge-without-confirm
                      : news-post-without-validation
                      : enable-alternate-editor-cmd
                      : enable-incoming-folders
                      : include-attachments-in-reply
      customized-hdrs : Reply-To:
                      : Return-Receipt-To:
  saved-msg-name-rule : by-sender
        fcc-name-rule : by-recipient
             sort-key : OrderedSubj
               editor : xemacs -nw
              printer : lp
 personal-print-comma : lp
 last-time-prune-ques : 95.4
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
           inbox-path : inbox
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
     auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
     compose-sets-newsgroup-without-confirm
     delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
     enable-aggregate-command-set
     enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
     enable-bounce-cmd
  no-enable-flag-cmd
     enable-full-header-cmd
     enable-incoming-folders
  no-enable-jump-shortcut
     enable-mail-check-cue
  no-enable-suspend
     enable-tab-completion
     enable-unix-pipe-cmd
  no-expanded-view-of-addressbooks
  no-expanded-view-of-folders
     expunge-without-confirm
     include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
  no-news-approximates-new-status
     news-post-without-validation
     news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
     quit-without-confirm
  no-save-will-quote-leading-froms
  no-save-will-not-delete
     save-will-advance
  no-select-without-confirm
     show-selected-in-boldface
     signature-at-bottom
  no-use-current-dir
  no-use-function-keys